Subject: bug#54656: 29.0.50; [menu] key is not read anymore

From: Po Lu <[email-masked]>
Date: Mon, 04 Apr 2022 08:18:44 +0800

[email-masked] writes:

> Sorry I lack comprehension of the gdb and C.
>
> If I place a breakpoint on :
>
>> static void
>> x_display_set_last_user_time (struct x_display_info *dpyinfo, Time time)
>> {
>> ...
>
> It is called to many time while initiating Emacs and I cannot verify the
> keypress.  How do I do that the right way ?

Ah, sorry.  Place the breakpoint here instead, inside the function
`handle_one_xevent':

    case KeyPress:
==>   x_display_set_last_user_time (dpyinfo, event->xkey.time);
      ignore_next_mouse_click_timeout = 0;
      coding = Qlatin_1;

Thanks.